# Copyright (c) 2021 Henix, Henix.fr
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

metadata:
  name: day of week
jobs:
  weekday_job:
    runs-on: [linux]
    variables:
      DAY_OF_WEEK: Mon
    steps:
      - name: "Hello world when it's Monday"
        if: ${{ variables.DAY_OF_WEEK == 'Mon' }}
        run: echo "Hello $FIRST_NAME $middle_name $Last_Name, today is Monday!"
        variables:
          FIRST_NAME: Mona
          middle_name: The
          Last_Name: Octocat
      - run: |
         cat <<EOF >linux_create_archive_act_01_all_patterns.txt
         folders2/subfolder22/file2.txt
         folders2/file1.txt
         folder1/file1.txt
         file1.txt
         file2.txt
         folders3/subfolders33/file2.txt
         folders3/subfolders33/subfolder333/file3.txt
         folders3/file1.txt
         file3.txt
         folders2/subfolder22/picture.png
         folder1/picture.png
         EOF
      - run: cat linux_create_archive_act_01_all_patterns.txt
      - run: echo YADA=1234>>$OPENTF_VARIABLES
      - run: echo "YADA=--$YADA--"
      - run: echo YADA=5678>>$OPENTF_VARIABLES
      - run: echo "and now YADA=--$YADA--"
